## blitz++ 0.9

=== debian/changelog ===
blitz++ (1:0.9-13) unstable; urgency=low

  * debian/control:
    - Standards-Version: 3.9.3 (no changes needed)
    - Fixed Vcs fields
    - Do not build-depend quilt (redundant with source 3.0 (quilt))
    - Build-Depends: cfortran
      Closes: #631004
  * debhelper 9 (control+compat)
  * debian/rules:
    - make sure only correct pkgconfig file will be installed
      Closes: #623786
    - save all docs from upstream source before clean target removes
      them automatically to build twice in a row successfully
  * debian/{libblitz-doc.examples,libblitz0-dev.install}: Do not use
    brace expansion
  * debian/copyright: Fix DEP5 issues

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jun 2012 11:37:15 +0200

blitz++ (1:0.9-12) unstable; urgency=low

  * debian/control:
    - Standards-Version: 3.9.2 (no changes needed)
    - Build-Depends: texi2html
    - doc package Depends libjs-jquery which provides jquery.js
  * Debhelper 8 (control+compat)
  * debian/rules:
    - Fix sequence of dh arguments
    - Do not install unneeded *.la file
      Closes: #621305
    - Remove copy of jquery.js which is provided by a link to the
      file provided in libjs-jquery:

 -- Andreas Tille <tille@debian.org>  Fri, 08 Apr 2011 13:51:07 +0200

blitz++ (1:0.9-11) unstable; urgency=low

  * debian/control:
    - Standards-Version: 3.9.1 (no changes needed)
    - Build-Depends: doxygen-latex instead of several tex related files
      Closes: #616201
    - Build-Depends: autotools-dev
  * debian/rules: simplified by using short dh syntax
    Using autotools-dev should hopefully solve the "Outdated config.{sub,guess}"
    issue, hopefully Closes: #548928
  * debian/source/format: 3.0 (quilt)
  * debian/libblitz-doc.lintian-overrides: Removed because not needed any more

 -- Andreas Tille <tille@debian.org>  Mon, 07 Mar 2011 14:00:41 +0100

blitz++ (1:0.9-10) unstable; urgency=low

  * Standards-Version: 3.8.3 (added README.source)
  * Debhelper 7
  * Build-Depends: autotools-dev
  * debian/patches/30_fix_doxygen_install_target.patch: Replace install
    by cp -a which enables copying directories recursively
    Closes: #545635
  * Machine readable copyright

 -- Andreas Tille <tille@debian.org>  Tue, 08 Sep 2009 21:36:45 +0200

blitz++ (1:0.9-9) unstable; urgency=medium

  * Urgency medium because of private report of FTBFS problem
    on AMD - unable to verify so no further action than tagging
    like this
  * dh_lintian was added in debhelper 6.0.7 so increased debhelper
    version to 6 and add versioned build dependency
  * Team maintenance by Debian Science Team
    <debian-science-maintainers@lists.alioth.debian.org> as Maintainer
    and myself as Uploader
  * DM-Upload-Allowed: yes
  * Added Vcs fields
  * Recreate blitz.info instead of applying a patch
  * Applied a patch to work around a FTBFS problem with amd64
    which is described at
     http://bbs.archlinux.org/viewtopic.php?pid=404588
    The patch was obtained from
     http://aur.archlinux.org/packages/blitz/blitz/header.patch
  * Increased build dependency from debhelper (>= 6.0.7~)
  * Standards-Version: 3.8.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Tue, 02 Sep 2008 13:23:47 +0200

blitz++ (1:0.9-8) unstable; urgency=low

  * Took over the package myself after markos left Debian
    (sorry to see you go markos and thanks for your work in Debian)
  * Priority: optional (because there is no reason to put it in extra -
    there is no conflict with other packages)
  * Removed debian/dshlibmove which is not needed any more
  * Make use of dh_lintian
  * debian/compat: 5
  * Removed explicite versioned dependency from g++ because all recent
    disctributions contain newer g++ versions
  * Added more warnings about zero byte files to lintian overrides
  * libblitz-doc.doc-base: Section: Programming, enhanced abstract
  * debian/rules: Added dh_shlibdeps
  * lintian override for package-name-doesnt-match-sonames because
    upstream does not seem to produce any newer versions and thus
    changing the package name just produces extra nuisance for ftpmaster
    without noticeable benefit

 -- Andreas Tille <tille@debian.org>  Mon, 05 May 2008 10:27:41 +0200

blitz++ (1:0.9-7) unstable; urgency=low

  * Added patch to fix FTBFS with GCC 4.3: missing #includes
    (Thanks to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>)
    Closes: #455661
  * Added quilt to Build-Depends
  * Standards-Version: 3.7.3 (No changes needed)
  * Homepage tag instead of putting it into long description
  * debian/rules: F77=gfortran; Adjusting Build-Depends to
    accomplish g77 to gfortran transition (Thanks to
    Kumar Appaiah <akumar@ee.iitm.ac.in>)
    Closes: #463935
  * libblitz0-dev to section libdevel
  * debian/libblitz-doc.doc-base removed useless whitespace
  * debian/rules: Removed bashism

 -- Andreas Tille <tille@debian.org>  Sun, 17 Feb 2008 21:31:47 +0100

blitz++ (1:0.9-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: fix bashism. Closes: #455895.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sun, 20 Jan 2008 18:54:36 +0100

blitz++ (1:0.9-6) unstable; urgency=low

  * Fix Build-Depends from atlas libs to enable building on arm
    and removed explicite Depends from atlas because
    m4/ac_lib_blas.m4 says:
      Blitz++ will use BLAS library to run benchmarks against if
      you build the benchmarks.  Blitz++ itself does NOT use BLAS
  * debian/rules: configure --with-blas ...
  * Addes graphviz to Build-Depends to enable dependency graphs
    in docs.

 -- Andreas Tille <tille@debian.org>  Tue, 18 Sep 2007 09:01:31 +0200

blitz++ (1:0.9-5) unstable; urgency=low

  * ldbl128 transition
    Closes: #430257
  * debian/control:
      libblitz0ldbl:  Conflicts/  Replaces: libblitz0
      libblitz0-dev:  Depends: libblitz0ldbl (= ${binary:Version})
  * Reworked debian/copyright
  * Added lintian.override for zero byte files that were created
    by doxygen

