=== debian/control ===
Source: blitz++
Section: devel
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: gfortran | fortran-compiler, autotools-dev, texinfo,
 libblas-dev | libatlas-base-dev, liblapack-dev | libatlas-base-dev,
 debhelper (>= 9), d-shlibs, doxygen-latex, texi2html, cfortran
Standards-Version: 3.9.3
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/libblitz/trunk/
Vcs-Svn: svn://svn.debian.org/debian-science/packages/libblitz/trunk/
Homepage: http://oonumerics.org/blitz/

Package: libblitz0ldbl
Architecture: any
Priority: extra
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libblitz-doc
Conflicts: libblitz0
Replaces: libblitz0
Provides: libblitz0
Description: C++ template class library for scientific computing
 Blitz++ offers a high level of abstraction, 
 but performance which rivals Fortran.  The
 current version supports arrays and vectors.
 .
 This package contains the dynamic library.

Package: libblitz0-dev
Architecture: any
Priority: extra
Section: libdevel
Depends: libblitz0ldbl (= ${binary:Version}), ${misc:Depends}
Provides: libblitz-dev, blitz++
Conflicts: libblitz-dev, blitz++
Recommends: libblitz-doc
Description: C++ template class library for scientific computing
 Blitz++ offers a high level of abstraction, 
 but performance which rivals Fortran.  The
 current version supports arrays and vectors.
 .
 This package contains the static library
 and header files for  compiling programs with
 blitz++.

Package: libblitz-doc
Architecture: all
Priority: extra
Depends: ${misc:Depends}, libjs-jquery
Section: doc
Description: C++ template class library for scientific computing
 Blitz++ offers a high level of abstraction, 
 but performance which rivals Fortran.  The
 current version supports arrays and vectors.
 .
 This package contains the documentation and examples.
