## blitz++ 0.10

=== debian/changelog ===
blitz++ (1:0.10-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library to libblitz0v5 for the libstdc++ transition
    (Closes: #790984)

 -- Simon McVittie <smcv@debian.org>  Sun, 23 Aug 2015 14:46:54 +0100

blitz++ (1:0.10-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing epoch to conflicts/replaces versions
    (really Closes: #767564)

 -- Jonathan Wiltshire <jmw@debian.org>  Tue, 02 Dec 2014 21:37:08 +0000

blitz++ (1:0.10-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add replaces on libblitz0ldbl as well (Closes: #767564) 

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 23 Nov 2014 22:58:33 +0000

blitz++ (1:0.10-3) unstable; urgency=medium

  * libblitz-doc breaks libblitz0ldbl of previous releases
    Closes: #767564

 -- Andreas Tille <tille@debian.org>  Sun, 02 Nov 2014 08:42:13 +0100

blitz++ (1:0.10-2) unstable; urgency=medium

  * cme fix dpkg-control
  * Priority optional for all packages
  * use autoreconf (thanks for the patch to "Breno Leitao" <brenohl@br.ibm.com>)
    Closes: #755826
  * fix blitz.info dir entry (thanks for the patch to Kevin Ryde
    <user42@zip.com.au>)
    Closes: #726566
  * debian/README.source: deleted since redundant
  * debian/rules: removed some unneeded stuff
  * d/control: delete superseded package texi2html from Build-Depends
  * blitz.info ends up in doc package to come together with the used images

 -- Andreas Tille <tille@debian.org>  Thu, 02 Oct 2014 15:56:53 +0200

blitz++ (1:0.10-1) unstable; urgency=low

  * New upstream release
    Closes: #679407
  * debian/rules:
    - update for new release
    - add override_dh_auto_test target
    - regenerate configure and Makefile.am
  * debian/control:
    - add libtool, automake to BuildDepends
  * debian/libblitz-doc.install
    - modify path for html files
  * remove uneeded patches
  * add examples.patch
  
 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Fri, 06 Jul 2012 09:15:30 +0200
