=== debian/control ===
Source: blitz++
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>
Section: devel
Priority: optional
Build-Depends: gfortran | fortran-compiler,
               dh-autoreconf,
               libtool,
               automake,
               texinfo,
               libblas-dev | libatlas-base-dev,
               liblapack-dev | libatlas-base-dev,
               debhelper (>= 9),
               d-shlibs,
               doxygen-latex,
               cfortran
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/libblitz/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/libblitz/trunk/
Homepage: http://oonumerics.org/blitz/

Package: libblitz0v5
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: libblitz-doc
Conflicts: libblitz0, libblitz0ldbl
Provides: libblitz0
Replaces: libblitz0, libblitz0ldbl
Description: C++ template class library for scientific computing
 Blitz++ offers a high level of abstraction, 
 but performance which rivals Fortran.  The
 current version supports arrays and vectors.
 .
 This package contains the dynamic library.

Package: libblitz0-dev
Architecture: any
Section: libdevel
Depends: libblitz0v5 (= ${binary:Version}),
         ${misc:Depends}
Recommends: libblitz-doc
Conflicts: libblitz-dev,
           blitz++
Provides: libblitz-dev,
          blitz++
Description: C++ template class library for scientific computing
 Blitz++ offers a high level of abstraction, 
 but performance which rivals Fortran.  The
 current version supports arrays and vectors.
 .
 This package contains the static library
 and header files for  compiling programs with
 blitz++.

Package: libblitz-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery
Breaks: libblitz0ldbl (<< 1:0.10-2)
Replaces: libblitz0ldbl (<< 1:0.10-2)
Description: C++ template class library for scientific computing
 Blitz++ offers a high level of abstraction, 
 but performance which rivals Fortran.  The
 current version supports arrays and vectors.
 .
 This package contains the documentation and examples.
