=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for blitz++
# 2011         Andreas Tille <tille@debian.org> 

libname=libblitz
pkgname=$(libname)0v5
docname=$(libname)-doc

PREFIX = /usr

%:
	dh $@ -with autoreconf --parallel

override_dh_auto_configure:
	# dh_autotools-dev_updateconfig
#	libtoolize --automake
#	aclocal -Im4
#	autoreconf -i
#	automake
#
	F77=gfortran ./configure --prefix=$(PREFIX) --with-cxx=gcc --with-blas --enable-debug --enable-static --enable-64bit --enable-shared --enable-doxygen CFLAGS="${CFLAGS} -DBZHAVE_STD" CXXFLAGS="${CXXFLAGS} -DBZ_HAVE_STD"

override_dh_auto_build:
	#dh_auto_build
	#cd doc && $(MAKE) all
	
	# update doxigen conf file
	cd doc/doxygen && doxygen -u
	 
	$(MAKE) lib
	$(MAKE) info              #Build Blitz++ texinfo documentation
	
	mkdir -p doc/doxygen/html
	$(MAKE) pdf              #Build Blitz++ pdf documentation
	$(MAKE) html             #Build Blitz++ html documentation

override_dh_auto_test:
	#
	# TODO find . -name \*.htmlneed to be patched to compile properly
	#$(MAKE) check-testsuite  #Build and check the testsuite
	
	$(MAKE) check-examples   #Build and check the examples
	
	#$(MAKE) check-benchmarks #Build and check the benchmarks (long)

override_dh_compress:
	dh_compress --exclude=examples --exclude=testsuite --exclude=.pdf

override_dh_install:
	dh_install
	
	d-shlibmove --v5 --commit \
	            --exclude-la \
	            --movedev "debian/tmp/usr/lib/pkgconfig/blitz.pc" usr/lib/pkgconfig \
	            lib/.libs/libblitz.so
	#
	# workaround some broken entry in usr/lib/pkgconfig/blitz.pc - no idea
	# why this endet up here ...
	sed -i 's/-D_FORTIFY_SOURCE=2//' debian/libblitz0-dev/usr/lib/pkgconfig/blitz.pc
