=== debian/watch ===
# This is a version 3 file
version=3

# Find new files on sourceforge, for debscripts >= 2.9
http://sf.net/blitz/blitz-(.*)\.tar\.gz
## http://mesh.dl.sourceforge.net/sourceforge/blitz/blitz-0.9.tar.gz
