## blitz++ 1.0.1+ds

=== debian/changelog ===
blitz++ (1:1.0.1+ds-3) unstable; urgency=medium

  * FTBFS fix release, drop obsolete Texinfo command (Closes: #906338).
  * Debianization:
    - debian/patches/*:
      - d/p/upstream-doc-fix-drop_obsolete_texinfo_command.patch ,
        introduce and submit;
    - debian/control:
      - Homepage field, migrate to GitHub;
      - Standards-Version, bump to 4.2.0 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 25 Aug 2018 14:37:39 +0000

blitz++ (1:1.0.1+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/patches/*:
      - d/p/upstream-skip-testsuite.patch , introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 08 Jun 2018 21:09:41 +0000

blitz++ (1:1.0.1+ds-1) unstable; urgency=medium

  * New upstream major version (Closes: #894309, #853333, #835373)
  * Debianization:
    - debian/control:
      - debhelper, bump to 11;
      - Standards Version, bump to 4.1.4 (no change);
    - debian/copyright:
      - Upstream-Contact field, update;
      - Source field, update;
      - Files-Excluded, refresh;
      - Copyright field: update;
    - debian/watch, migration to GitHub repository;
    - debian/rules:
      - override_dh_auto_configure, add enable-maintainer-mode;
      - get-orig-source target, discard;
    - debian/patches/*:
      - d/p/upstream-autotoolization-harden.patch , refresh;
      - d/p/debian*.patch , update;
    - debian/source/lintian-overrides, update;
    - debian/clean, refresh;
    - debian/adhoc/*/Makefile:
      - copyright year tuple, update.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 08 Jun 2018 18:25:05 +0000

blitz++ (1:0.10+ds-3) unstable; urgency=medium

  * Debianization:
    - debian/copyright:
      - Format field, secure;
      - copyright year tuples, update;
    - debian/control:
      - Vcs-* fields, migration to Salsa;
      - Build-Depends field, temporarily add g++-6;
    - debian/rules:
      - no-parallel build;
      - g++-6 usage, force.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 26 May 2018 16:38:18 +0000

blitz++ (1:0.10+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/patches/:
      - d/p/debianization-examples-neutralization.patch, refresh;
      - d/p/debianization-testsuite-neutralization.patch, introduce;
      - Origin fields, correct.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 10 Oct 2016 00:58:10 +0000

blitz++ (1:0.10+ds-1) unstable; urgency=medium

  * RC fix release (Closes: #811923), external build to avoid name collisions.
  * New maintainer.
  * Debianizarion:
    - debian/copyright:
      - Files-Excluded field, setup;
      - refresh;
    - debian/control:
      - Standards Version, bump to 3.9.8;
      - Vcs-* headers, secure;
    - debian/watch, refresh;
    - debian/rules:
      - default target, introduce;
      - get-orig-source target, introduce;
      - build-arch/build-indep scheme, introduce;
      - clean up;
    - debian/patches/:
      - bump format to DEP-3;
      - d/p/fix_info.patch, discard in favour of on fly modification;
      - d/p/examples.patch, discard in favour of
          d/p/upstream-autotoolization-harden.patch;
      - d/p/testsuite.patch, obsoleted to keep the source as-is;
      - d/p/upstream-*.patch, introduce;
      - d/p/debianization-*.patch, introduce;
    - debian/adhoc/examples/Makefile, introduce;
    - debian/adhoc/testsuite/Makefile, introduce;
    - harden.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 01 Aug 2016 22:19:06 +0000

blitz++ (1:0.9-1.2) unstable; urgency=low

  * NMU
  * Change rules clean target to call distclean, which cleans up a lot
    of autogenerated files.
  * Add build dependency on texinfo to fix FTBFS. Closes: #397540

 -- Joey Hess <joeyh@debian.org>  Wed,  8 Nov 2006 00:59:01 -0500
