=== debian/control ===
Source: blitz++
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>,
           Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>
Section: devel
Priority: optional
Build-Depends:
 debhelper (>= 11),
 autoconf-archive, automake, libtool, python,
 gfortran | fortran-compiler, cfortran,
 libblas-dev | libatlas-base-dev,
 liblapack-dev | libatlas-base-dev
Build-Depends-Indep:
 texinfo, texlive-generic-recommended, texlive-latex-base
Standards-Version: 4.2.0
Homepage: https://github.com/blitzpp/blitz
Vcs-Git: https://salsa.debian.org/science-team/blitzxx.git
Vcs-Browser: https://salsa.debian.org/science-team/blitzxx

Package: libblitz0v5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libblitz-doc
Conflicts: libblitz0, libblitz0ldbl
Provides: libblitz0
Replaces: libblitz0, libblitz0ldbl
Description: C++ template class library for scientific computing
 Blitz++ offers a high level of abstraction,
 but performance which rivals Fortran.  The
 current version supports arrays and vectors.
 .
 This package contains the dynamic library.

Package: libblitz0-dev
Architecture: any
Section: libdevel
Depends: libblitz0v5 (= ${binary:Version}), ${misc:Depends}
Suggests: libblitz-doc (= ${source:Version})
Conflicts: libblitz-dev, blitz++
Provides: libblitz-dev, blitz++
Description: C++ template class library for scientific computing - libdev
 Blitz++ offers a high level of abstraction,
 but performance which rivals Fortran.  The
 current version supports arrays and vectors.
 .
 This package contains the static library
 and header files for  compiling programs with
 blitz++.

Package: libblitz-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Enhances: libblitz0-dev (= ${binary:Version})
Breaks: libblitz0ldbl (<< 1:0.10-2)
Replaces: libblitz0ldbl (<< 1:0.10-2)
Description: C++ template class library for scientific computing - doc
 Blitz++ offers a high level of abstraction,
 but performance which rivals Fortran.  The
 current version supports arrays and vectors.
 .
 This package contains the documentation and examples.
