=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export F77 = gfortran

CPPFLAGS += -DBZ_HAVE_STD

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ -with autoreconf --builddirectory=_build --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-maintainer-mode \
		--enable-static \
		--enable-shared \
		--enable-debug \
		--enable-64bit \
		--disable-doxygen

override_dh_auto_build-arch:
	$(MAKE) -C _build lib

override_dh_auto_build-indep:
	$(MAKE) -C _build lib
	$(MAKE) -C _build info pdf html

override_dh_auto_test-arch:
	$(MAKE) -C _build/examples check
	$(MAKE) -C _build/testsuite check
	#$(MAKE) -C _build/benchmarks check

override_dh_auto_test-indep:
	@true

override_dh_prep-arch:
	sed -i \
			-e '/^# generated by configure/d' \
			-e 's/ -D_FORTIFY_SOURCE=2//;s/ -Wdate-time//;s/: $$/:/;' \
		_build/blitz.pc

## https://bugs.debian.org/726566
override_dh_prep-indep:
	sed -i \
			-e 's/^* Blitz++: (blitz++)/* Blitz++: (blitz)/;' \
		doc/blitz.info

DEB_AUTO_INSTALL_MAKEFLAGS = DESTDIR=$(CURDIR)/debian/tmp
override_dh_auto_install-indep:
	$(MAKE) -C _build install-info install-pdf install-html $(DEB_AUTO_INSTALL_MAKEFLAGS)
	$(MAKE) -C _build/examples install-examples $(DEB_AUTO_INSTALL_MAKEFLAGS)
	$(MAKE) -C _build/testsuite install-testsuite $(DEB_AUTO_INSTALL_MAKEFLAGS)

override_dh_compress-indep:
	dh_compress -Xexamples -Xtestsuite -Xbenchmarks -X.pdf
